.. currentmodule:: silx.gui.plot3d.SceneWindow


:mod:`SceneWindow`: 3D data viewer window
=========================================

.. automodule:: silx.gui.plot3d.SceneWindow

.. image:: img/SceneWindow.png
   :height: 150px
   :align: center

For sample code using :class:`SceneWindow`, see ``plot3dSceneWindow.py`` in :ref:`plot3d-sample-code`.

See :class:`~silx.gui.plot3d.SceneWidget.SceneWidget` for the API to manage the visualized 3D data.

:class:`SceneWindow`
--------------------

.. autoclass:: SceneWindow
   :show-inheritance:
   :members:
